Subject: Re: [PATCH 0/2] cat-file: support NUL-delimited input with `-z`

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Jul 2022 21:44:32 -0700

Taylor Blau <[email-masked]> writes:

> This short patch series implements a `-z` mode that is compatible with
> the `--batch`, `--batch-check`, and new `--batch-command` options in
> `cat-file`.

It's a shame that we forgot that people use strange "object name"
like "<tree>:<path>", when we originally intended to only take
simple object names, like fully-spelled hexadecimal.  And if we were
prepared to take <path>, we should have make sure we use the usual
cquote convention.